// ImgPropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "ImgPropDlg.h"
#include "afxdialogex.h"


// CImgPropDlg 对话框

IMPLEMENT_DYNAMIC(CImgPropDlg, CDialog)

CImgPropDlg::CImgPropDlg(CWnd* pParent /*=nullptr*/)
	: CDialog(IDD_DIALOG_PIMG, pParent)
	, m_iShapeID(0)
	, m_iImgStatus(0)
{

}

CImgPropDlg::~CImgPropDlg()
{
}

void CImgPropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_SHAPEID, m_iShapeID);
	DDX_Text(pDX, IDC_EDIT_IMGSTATUS, m_iImgStatus);
}


BEGIN_MESSAGE_MAP(CImgPropDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CImgPropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CImgPropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CImgPropDlg 消息处理程序


void CImgPropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnOK();
}


void CImgPropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnCancel();
}
